org.apache.ignite.internal.visor.tx

## Enum VisorTxProjection

- java.lang.Object
- - java.lang.Enum<VisorTxProjection>
  - - org.apache.ignite.internal.visor.tx.VisorTxProjection

All Implemented Interfaces:
  Serializable, Comparable<VisorTxProjection>

    public enum VisorTxProjection
    extends Enum<VisorTxProjection>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CLIENT` Client nodes.
`SERVER` Server nodes.

### Method Summary

All Methods Static Methods Concrete Methods
`static @Nullable VisorTxProjection` `fromOrdinal(int ord)` Efficiently gets enumerated value from its ordinal.
`static VisorTxProjection` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VisorTxProjection[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SERVER

    public static final VisorTxProjection SERVER

Server nodes.

#### CLIENT

    public static final VisorTxProjection CLIENT

Client nodes.

### Method Detail

#### values

    public static VisorTxProjection[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VisorTxProjection c : VisorTxProjection.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VisorTxProjection valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    @Nullable
    public static @Nullable VisorTxProjection fromOrdinal(int ord)

Efficiently gets enumerated value from its ordinal.

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021